Package org.springframework.context.annotation

# Class ComponentScanBeanDefinitionParser

java.lang.Object
org.springframework.context.annotation.ComponentScanBeanDefinitionParser

All Implemented Interfaces:
  `org.springframework.beans.factory.xml.BeanDefinitionParser`

public class ComponentScanBeanDefinitionParser extends Object implements org.springframework.beans.factory.xml.BeanDefinitionParser
Parser for the `<context:component-scan/>` element.

Since:
  2.5
Author:
  Mark Fisher, Ramnivas Laddad, Juergen Hoeller

## Constructor Summary

Constructors
Constructor
Description
`ComponentScanBeanDefinitionParser()`

## Method Summary

Modifier and Type
Method
Description
`protected ClassPathBeanDefinitionScanner`
`configureScanner(org.springframework.beans.factory.xml.ParserContext parserContext, Element element)`
`protected ClassPathBeanDefinitionScanner`
`createScanner(org.springframework.beans.factory.xml.XmlReaderContext readerContext, boolean useDefaultFilters)`
`protected org.springframework.core.type.filter.TypeFilter`
`createTypeFilter(Element element, ClassLoader classLoader, org.springframework.beans.factory.xml.ParserContext parserContext)`
`org.springframework.beans.factory.config.BeanDefinition`
`parse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)`
`protected void`
`parseBeanNameGenerator(Element element, ClassPathBeanDefinitionScanner scanner)`
`protected void`
`parseScope(Element element, ClassPathBeanDefinitionScanner scanner)`
`protected void`
`parseTypeFilters(Element element, ClassPathBeanDefinitionScanner scanner, org.springframework.beans.factory.xml.ParserContext parserContext)`
`protected void`
`registerComponents(org.springframework.beans.factory.xml.XmlReaderContext readerContext, Set<org.springframework.beans.factory.config.BeanDefinitionHolder> beanDefinitions, Element element)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ComponentScanBeanDefinitionParser

public ComponentScanBeanDefinitionParser()

## Method Details

### parse

@Nullable public org.springframework.beans.factory.config.BeanDefinition parse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)

Specified by:
  `parse` in interface `org.springframework.beans.factory.xml.BeanDefinitionParser`

### configureScanner

protected ClassPathBeanDefinitionScanner configureScanner(org.springframework.beans.factory.xml.ParserContext parserContext, Element element)

### createScanner

protected ClassPathBeanDefinitionScanner createScanner(org.springframework.beans.factory.xml.XmlReaderContext readerContext, boolean useDefaultFilters)

### registerComponents

protected void registerComponents(org.springframework.beans.factory.xml.XmlReaderContext readerContext, Set<org.springframework.beans.factory.config.BeanDefinitionHolder> beanDefinitions, Element element)

### parseBeanNameGenerator

protected void parseBeanNameGenerator(Element element, ClassPathBeanDefinitionScanner scanner)

### parseScope

protected void parseScope(Element element, ClassPathBeanDefinitionScanner scanner)

### parseTypeFilters

protected void parseTypeFilters(Element element, ClassPathBeanDefinitionScanner scanner, org.springframework.beans.factory.xml.ParserContext parserContext)

### createTypeFilter

protected org.springframework.core.type.filter.TypeFilter createTypeFilter(Element element, @Nullable ClassLoader classLoader, org.springframework.beans.factory.xml.ParserContext parserContext) throws ClassNotFoundException

Throws:
  `ClassNotFoundException`